# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDockWidgetAbstractHeader Class Reference

An abstract base clase for all dockwidget headers (and member of the dockwidget class set). More...

`#include <kdockwidget.h>`

Inheritance diagram for KDockWidgetAbstractHeader:

[legend]
Collaboration diagram for KDockWidgetAbstractHeader:

[legend]
List of all members.

## Public Member Functions

| KDockWidgetAbstractHeader (KDockWidget *parent, const char *name=0L)
virtual | ~KDockWidgetAbstractHeader ()
virtual void | setTopLevel (bool)
virtual void | saveConfig (KConfig *)
virtual void | loadConfig (KConfig *)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

An abstract base clase for all dockwidget headers (and member of the dockwidget class set).

See the class description of KDockWidgetHeader! More or less a minor helper class for the dockwidget class set.

Author:
  Max Judin (documentation: Falk Brettschneider).

Definition at line 103 of file kdockwidget.h.

## Constructor & Destructor Documentation

KDockWidgetAbstractHeader::KDockWidgetAbstractHeader | ( | KDockWidget * | parent,
|  | const char * | name = `0L`
| ) |

Constructs this.

Parameters:

  | parent | the parent widget (usually a dockwidget)
  | name | the object instance name

Definition at line 211 of file kdockwidget.cpp.

virtual KDockWidgetAbstractHeader::~KDockWidgetAbstractHeader | ( |  | ) | `[inline, virtual]`

| Destructs this. Definition at line 119 of file kdockwidget.h.

## Member Function Documentation

virtual void KDockWidgetAbstractHeader::setTopLevel | ( | bool |  | ) | `[inline, virtual]`

| Provides things concerning to switching to toplevel mode. Must be overridden by an inheriting class. Reimplemented in KDockWidgetHeader. Definition at line 124 of file kdockwidget.h. Referenced by KDockWidget::updateHeader().

virtual void KDockWidgetAbstractHeader::saveConfig | ( | KConfig * |  | ) | `[inline, virtual]`

| Provides saving the current configuration. Must be overridden by an inheriting class. Reimplemented in KDockWidgetHeader. Definition at line 130 of file kdockwidget.h. Referenced by KDockManager::writeConfig().

virtual void KDockWidgetAbstractHeader::loadConfig | ( | KConfig * |  | ) | `[inline, virtual]`

| Provides loading the current configuration. Must be overridden by an inheriting class Reimplemented in KDockWidgetHeader. Definition at line 135 of file kdockwidget.h. Referenced by KDockManager::readConfig().

The documentation for this class was generated from the following files:

- kdockwidget.h
- kdockwidget.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:04 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003